You must be logged in to post messages.
Please login or register

AoW:SM Tech Help & Bug Reporting
Moderated by Swolte, Ziggurat Mason

Hop to:    
loginhomeregisterhelprules
Bottom
Topic Subject: Patch 1.3 does not "take"
posted 09-01-13 06:01 PM EDT (US)   
I'm running Windows 8 on a newer 64 bit computer.

I can install AoW SM from the disk (v.1.0.0.2445) and run it.

I then execute the 1.3 patch. It apparently works, however the opening screen still shows v.1.0.0.2445.

When I retry 1.3 patch, it says that it has already been updated to 1.3. I run it anyways. No change.

Trying the 1.4 patch, it tells me that it cannot find a v.1.3 and has me update to 1.3 again. This still gives me the message that AoW SM has been upgraded to 1.3. I run it again. No change to opening screen info, and I still cannot install 1.4 because it says it cannot find a v.1.3.

Any suggestions?

Thanks.
Replies:
posted 09-04-13 01:02 PM EDT (US)     1 / 7  
Some additional information.

Apparently when I patch to v1.3 it actually does patch. I am basing this on the fact that changes noted in the read me for 1.3 are seen in game (specifically I checked the djinn which has the new defense and movement stats).

However the version seen on the opening screen, and in the properties for AoWSM.exe, are both 1.0.0.2445.

So the changes take effect but the version number stays the same. Perhaps the 1.4 patch needs to see a version number updated to 1.3 before it will install.

Any suggestions for changing the version number in a place 1.4 will see it?

Thanks.
posted 09-06-13 02:02 AM EDT (US)     2 / 7  
Please don't use crack after applying 1.3 patch. Thank you.
posted 09-16-13 06:21 PM EDT (US)     3 / 7  
Thank-you W4rb1rd for responding.

Unfortunately I do not understand your message.

What does "don't use crack" mean? I assume that you are not referring to the drug. (-:

Thanks.
posted 09-17-13 06:54 AM EDT (US)     4 / 7  
I'm not sure if that's what W4rb1rd meant, but try installing patch 1.4 without installing 1.3 first. The 1.4 patch includes 1.3 as well, so maybe the problem was that you already had 1.3 installed when you tried to install the unofficial patch.
posted 09-17-13 05:56 PM EDT (US)     5 / 7  
Well I got patch 1.4 to install!

One of two things must have done it.

1. Installing from the 1.4 patch only (not using the patch for 1.3). I could SWEAR I had done this previously. I certainly made a lot of attempts, and I think at least once I did it this way. But maybe not.

2. I opted to install the editing tools when I did the first install from disk. I had not done that previously.

Hopefully anyone else having a problem installing 1.4 will be able to use this info.

Thanks to Rhomkar and W4rb1rd for their kind assistance!
posted 04-02-15 02:37 PM EDT (US)     6 / 7  
So the changes take effect but the version number stays the same. Perhaps the 1.4 patch needs to see a version number updated to 1.3 before it will install.

Any suggestions for changing the version number in a place 1.4 will see it?


__________________
dolii

[This message has been edited by batsunoa45 (edited 04-02-2015 @ 02:37 PM).]

posted 10-03-15 08:57 AM EDT (US)     7 / 7  
From the description, it looks like patch writes some files (resources), but executables (*.EXE, *.DLL and perhaps Dict/) are protected by something.

And even I make no pretence Of having more than common sence - R.W.Wood
The secret half a country keeps, the whisper in the lane... - R.Kipling
[UPatch 1.4 Team] * STLpack
Age of Wonders 2 Heaven » Forums » AoW:SM Tech Help & Bug Reporting » Patch 1.3 does not "take"
Top
You must be logged in to post messages.
Please login or register
Hop to:    
Age of Wonders 2 Heaven | HeavenGames